      SUBROUTINE CHERCHELACOUL(I)
      INCLUDE 'Parametres.f'
      j = i-16
      II = mod(j,nbcoldebase)+16
      IM = j/nbcoldebase
      S = 1. + (SOMBREMINI-1.)*REAL(IM)/REAL(nbsoustable)
      rouge = table_rouge(ii)*s
      vert  = table_vert(ii)*s
      bleu  = table_bleu(ii)*s
      CALL x11trouvecouleur(ROUGE,VERT,BLEU,I)
      couleurtrouvee(i) = .true.
      END
